// Code generated by ent, DO NOT EDIT.

package migrate

import (
	"entgo.io/ent/dialect/sql/schema"
	"entgo.io/ent/schema/field"
)

var (
	// ItemsColumns holds the columns for the "items" table.
	ItemsColumns = []*schema.Column{
		{Name: "id", Type: field.TypeUUID},
		{Name: "name", Type: field.TypeString},
		{Name: "amount", Type: field.TypeFloat64},
		{Name: "original_amount", Type: field.TypeFloat64},
		{Name: "ref_id", Type: field.TypeString, Unique: true, Nullable: true},
		{Name: "buy_url", Type: field.TypeString, Nullable: true},
		{Name: "thumbnail", Type: field.TypeString, Nullable: true},
		{Name: "sku", Type: field.TypeString, Nullable: true},
		{Name: "currency", Type: field.TypeString, Default: "EUR"},
		{Name: "native_amount", Type: field.TypeFloat64, Nullable: true},
		{Name: "condition", Type: field.TypeString, Default: "NOT_SPECIFIED"},
		{Name: "stock", Type: field.TypeInt, Default: 1},
		{Name: "created_at", Type: field.TypeTime},
		{Name: "updated_at", Type: field.TypeTime},
		{Name: "user_id", Type: field.TypeUUID},
	}
	// ItemsTable holds the schema information for the "items" table.
	ItemsTable = &schema.Table{
		Name:       "items",
		Columns:    ItemsColumns,
		PrimaryKey: []*schema.Column{ItemsColumns[0]},
		ForeignKeys: []*schema.ForeignKey{
			{
				Symbol:     "items_users_user",
				Columns:    []*schema.Column{ItemsColumns[14]},
				RefColumns: []*schema.Column{UsersColumns[0]},
				OnDelete:   schema.NoAction,
			},
		},
	}
	// ItemMetaColumns holds the columns for the "item_meta" table.
	ItemMetaColumns = []*schema.Column{
		{Name: "id", Type: field.TypeUUID},
		{Name: "key", Type: field.TypeString},
		{Name: "value", Type: field.TypeString},
		{Name: "created_at", Type: field.TypeTime},
		{Name: "updated_at", Type: field.TypeTime},
		{Name: "metafilter_id", Type: field.TypeUUID},
		{Name: "item_id", Type: field.TypeUUID},
	}
	// ItemMetaTable holds the schema information for the "item_meta" table.
	ItemMetaTable = &schema.Table{
		Name:       "item_meta",
		Columns:    ItemMetaColumns,
		PrimaryKey: []*schema.Column{ItemMetaColumns[0]},
		ForeignKeys: []*schema.ForeignKey{
			{
				Symbol:     "item_meta_items_meta",
				Columns:    []*schema.Column{ItemMetaColumns[6]},
				RefColumns: []*schema.Column{ItemsColumns[0]},
				OnDelete:   schema.NoAction,
			},
		},
	}
	// LocationsColumns holds the columns for the "locations" table.
	LocationsColumns = []*schema.Column{
		{Name: "id", Type: field.TypeUUID},
		{Name: "city", Type: field.TypeString},
		{Name: "state", Type: field.TypeString},
		{Name: "created_at", Type: field.TypeTime},
		{Name: "updated_at", Type: field.TypeTime},
	}
	// LocationsTable holds the schema information for the "locations" table.
	LocationsTable = &schema.Table{
		Name:       "locations",
		Columns:    LocationsColumns,
		PrimaryKey: []*schema.Column{LocationsColumns[0]},
	}
	// UsersColumns holds the columns for the "users" table.
	UsersColumns = []*schema.Column{
		{Name: "id", Type: field.TypeUUID},
		{Name: "handle", Type: field.TypeString, Unique: true},
		{Name: "email", Type: field.TypeString, Unique: true},
		{Name: "full_name", Type: field.TypeString, Nullable: true},
		{Name: "phone", Type: field.TypeString, Unique: true, Nullable: true},
		{Name: "public_key", Type: field.TypeString, Unique: true, Nullable: true},
		{Name: "active", Type: field.TypeBool, Default: false},
		{Name: "created_at", Type: field.TypeTime},
		{Name: "updated_at", Type: field.TypeTime},
		{Name: "role", Type: field.TypeString, Default: "user"},
	}
	// UsersTable holds the schema information for the "users" table.
	UsersTable = &schema.Table{
		Name:       "users",
		Columns:    UsersColumns,
		PrimaryKey: []*schema.Column{UsersColumns[0]},
	}
	// Tables holds all the tables in the schema.
	Tables = []*schema.Table{
		ItemsTable,
		ItemMetaTable,
		LocationsTable,
		UsersTable,
	}
)

func init() {
	ItemsTable.ForeignKeys[0].RefTable = UsersTable
	ItemMetaTable.ForeignKeys[0].RefTable = ItemsTable
}
